package com.casic.missiles.modular.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.casic.missiles.modular.system.model.BusNbDevice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * NB设备表 Mapper 接口
 * </p>
 *
 * @author tanyue
 * @since 2019-05-23
 */
public interface BusNbDeviceMapper extends BaseMapper<BusNbDevice> {
    List<BusNbDevice> getListByDevcode(@Param("devcode") String devcode);
    List<BusNbDevice> getByNodeId(@Param("nodeid") String nodeid);
    List<BusNbDevice> getByDevcode(@Param("devcode") String devcode);

    boolean deleteByNbDeviceId(String nbDeviceId);
}
